> ## Documentation Index
> Fetch the complete documentation index at: https://docs.niadra.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Objetos de um perfil

> Os pedidos, tickets e faturas ligados a um perfil.



## OpenAPI

````yaml openapi/pt/cell.json GET /v1/profiles/{profile_id}/objects
openapi: 3.1.0
info:
  title: API de dados da Niadra
  version: '1'
  description: >-
    Escrita, contexto, histórico, objetos, identidade, privacidade e governança
    de um espaço. Cada espaço tem um endereço estável, com o espaço e a região
    no nome.
servers:
  - url: https://{space}.{region}.api.niadra.com
    variables:
      space:
        default: acme-prod
        description: O espaço, que vem na chave de fonte.
      region:
        default: us-east-1
        description: A região do espaço, que também vem na chave.
security: []
paths:
  /v1/profiles/{profile_id}/objects:
    get:
      tags:
        - governance
      summary: Objetos de um perfil
      description: >-
        Os pedidos, tickets e faturas ligados a um perfil, com o estado derivado
        e as ações de agentes sobre cada um, além das ações que não pertencem a
        nenhum objeto da lista. Os valores oficiais continuam nos seus sistemas.
        A leitura fica registrada na trilha de auditoria.


        **Autenticação.** Token de pessoa do Console com o papel `security`,
        `review`, `analysis`, `integration` (ou admin), ou chave de fonte com o
        escopo `admin`.
      operationId: profile_objects_v1_profiles__profile_id__objects_get
      parameters:
        - in: path
          name: profile_id
          required: true
          schema:
            format: uuid
            title: Profile Id
            type: string
          example: 0192f7a1-5b10-7c3a-8e21-4d2f8a4c0e01
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileObjects'
              example:
                profile_id: 0192f7a1-5b10-7c3a-8e21-4d2f8a4c0e01
                audience: human
                policy_version: pol-14
                objects:
                  - id: obj_invoice_0823
                    ref:
                      type: invoice
                      namespace: erp
                      id: '0823'
                    role: owner
                    state:
                      status: credited
                      amount_due: 49.9
                      currency: USD
                    as_of: '2026-09-22T17:06:24Z'
                    source_id: src_erp
                    record_ref: erp://invoices/0823
                    actions:
                      - id: act_01J8ZK
                        operation: credit
                        result: $40 credit on the August bill
                        purpose: billing
                        status: confirmed
                        object_id: obj_invoice_0823
                        closes_item_id: oi_01J8ZJ
                        confirmed_by_event_id: 0192f7a1-6a2b-7d11-9c3e-1a2b3c4d5e03
                        occurred_at: '2026-09-22T17:06:21Z'
                        origin:
                          event_id: 0192f7a1-6a2b-7d11-9c3e-1a2b3c4d5e02
                          source_id: src_billing
                          channel: erp
                          kind: action
                          speaker: ai_agent
                          conversation_id: null
                          task_id: billing-7741
                          at: '2026-09-22T17:06:21Z'
                    masked: false
                actions: []
                withheld: {}
          description: Os objetos do perfil.
        '422':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Problem'
          description: O pedido não bate com o contrato.
      security:
        - sourceKey: []
        - personToken: []
components:
  schemas:
    ProfileObjects:
      additionalProperties: false
      properties:
        actions:
          description: Ações sobre nenhum objeto da lista, como uma que fecha uma promessa.
          items:
            $ref: '#/components/schemas/ActionOut'
          title: Actions
          type: array
        audience:
          $ref: '#/components/schemas/Audience'
        objects:
          items:
            $ref: '#/components/schemas/ProfileObject'
          title: Objects
          type: array
        policy_version:
          title: Policy Version
          type: string
        profile_id:
          title: Profile Id
          type: string
        withheld:
          additionalProperties:
            type: integer
          title: Withheld
          type: object
      required:
        - profile_id
        - policy_version
        - audience
      title: ProfileObjects
      type: object
    Problem:
      additionalProperties: false
      description: >-
        Detalhes do problema no formato da RFC 9457; `code` vem do catálogo de
        erros versionado.
      properties:
        code:
          title: Code
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Detail
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Request Id
        status:
          title: Status
          type: integer
        title:
          title: Title
          type: string
        type:
          default: about:blank
          title: Type
          type: string
      required:
        - title
        - status
        - code
      title: Problem
      type: object
    ActionOut:
      additionalProperties: false
      description: >-
        O que um agente fez num sistema para o cliente, com o estado da
        reconciliação.
      properties:
        closes_item_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Closes Item Id
        confirmed_by_event_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Confirmed By Event Id
        id:
          title: Id
          type: string
        masked:
          default: false
          title: Masked
          type: boolean
        object_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Object Id
        occurred_at:
          format: date-time
          title: Occurred At
          type: string
        operation:
          title: Operation
          type: string
        origin:
          $ref: '#/components/schemas/Origin'
        purpose:
          anyOf:
            - type: string
            - type: 'null'
          title: Purpose
        result:
          anyOf:
            - type: string
            - type: 'null'
          description: Nulo quando ausente ou mascarado para quem lê.
          title: Result
        status:
          $ref: '#/components/schemas/ActionStatus'
      required:
        - id
        - operation
        - status
        - result
        - occurred_at
        - origin
      title: ActionOut
      type: object
    Audience:
      enum:
        - customer_agent
        - internal_agent
        - human
        - reviewer
        - analyst
        - trigger_target
        - export
      title: Audience
      type: string
    ProfileObject:
      additionalProperties: false
      properties:
        actions:
          description: Do mais recente para o mais antigo.
          items:
            $ref: '#/components/schemas/ActionOut'
          title: Actions
          type: array
        as_of:
          format: date-time
          title: As Of
          type: string
        id:
          title: Id
          type: string
        masked:
          default: false
          title: Masked
          type: boolean
        record_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Record Ref
        ref:
          $ref: '#/components/schemas/ObjectRef'
        role:
          enum:
            - owner
            - participant
          title: Role
          type: string
        source_id:
          title: Source Id
          type: string
        state:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          description: Nulo quando a política mascara o estado para quem lê.
          title: State
      required:
        - id
        - ref
        - role
        - state
        - as_of
        - source_id
      title: ProfileObject
      type: object
    Origin:
      additionalProperties: false
      description: >-
        A procedência de um item: o evento de onde veio, a fonte (agente ou
        sistema), o canal e a hora.
      properties:
        at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: At
        channel:
          anyOf:
            - type: string
            - type: 'null'
          title: Channel
        conversation_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Conversation Id
        event_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Event Id
        kind:
          anyOf:
            - $ref: '#/components/schemas/EventKind'
            - type: 'null'
        source_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Id
        speaker:
          anyOf:
            - $ref: '#/components/schemas/Speaker'
            - type: 'null'
        task_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Task Id
      title: Origin
      type: object
    ActionStatus:
      enum:
        - declared
        - confirmed
        - divergent
        - quarantined
      title: ActionStatus
      type: string
    ObjectRef:
      additionalProperties: false
      description: Um objeto de negócio num sistema de registro.
      properties:
        id:
          maxLength: 512
          minLength: 1
          title: Id
          type: string
          description: O id nesse sistema.
        namespace:
          maxLength: 256
          minLength: 1
          title: Namespace
          type: string
          description: O sistema onde ele vive, como `erp`.
        type:
          maxLength: 256
          minLength: 1
          title: Type
          type: string
          description: Tipo do objeto, como `invoice`, `order` ou `ticket`.
      required:
        - type
        - namespace
        - id
      title: ObjectRef
      type: object
    EventKind:
      enum:
        - message
        - system_event
        - action
      title: EventKind
      type: string
      description: >-
        O que um evento registra: algo que foi dito, uma mudança num sistema de
        registro ou o que um agente fez num sistema.
    Speaker:
      enum:
        - customer
        - ai_agent
        - human_agent
        - system
      title: Speaker
      type: string
      description: Quem produziu o evento.
  securitySchemes:
    sourceKey:
      type: http
      scheme: bearer
      description: nia_sk_...
    personToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````